CRYPTO_AHASH_IMPORT(9)

NAME
crypto_ahash_import - import message digest state

SYNOPSIS

int crypto_ahash_import(struct ahash_request * req, const void * in);

ARGUMENTS

req
    reference to ahash_request handle the state is imported into

in
    buffer holding the state

DESCRIPTION

This function imports the hash state into the ahash_request handle from the input buffer. That buffer should have been generated with the crypto_ahash_export function.

RETURN

0 if the import was successful; < 0 if an error occurred

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT